File::Permissions - Crystal 1.4.1

# enum File::Permissions

##
Overview

Represents a set of access permissions for a file. Not all permission sets will be supported on all platforms.

The binary representation of this enum is defined to be same representation as the permission bits of a unix `st_mode` field. `File::Permissions` can also be compared to its underlying bitset, for example `File::Permissions::All == 0o777` will always be `true`.

On windows, only the `OwnerWrite` bit is effective. All file permissions will either be `0o444` for read-only files or `0o666` for read-write files. Directories are always mode `0o555` for read-only or `0o777`.

##
Defined in:

file/info.cr

##
Enum Members

OtherExecute = `1_i16`
OtherWrite = `2_i16`
OtherRead = `4_i16`
OtherAll = `7_i16`
GroupExecute = `8_i16`
GroupWrite = `16_i16`
GroupRead = `32_i16`
GroupAll = `56_i16`
OwnerExecute = `64_i16`
OwnerWrite = `128_i16`
OwnerRead = `256_i16`
OwnerAll = `448_i16`

##
Constructors

- .new(int : Int)

##
Instance Method Summary

- #group_all?
- #group_execute?
- #group_read?
- #group_write?
- #none?
- #other_all?
- #other_execute?
- #other_read?
- #other_write?
- #owner_all?
- #owner_execute?
- #owner_read?
- #owner_write?
- #to_s(io : IO) : Nil

  Appends a `String` representation of this enum member to the given io.

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, |(other : self) : self |, ~ : self ~

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, from_value?(value : Int) : self? from_value?, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) new, parse(string : String) : self parse, parse?(string : String) : self? parse?

### Class methods inherited from struct `Enum`

each(& : self -> ) each, names : Array(String) names, valid?(value : self) : Bool valid?, values : Array(self) values

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(int : Int) #

##
Instance Method Detail

def group_all? #
def group_execute? #
def group_read? #
def group_write? #
def none? #
def other_all? #
def other_execute? #
def other_read? #
def other_write? #
def owner_all? #
def owner_execute? #
def owner_read? #
def owner_write? #
def to_s(io : IO) : Nil #
Description copied from struct Enum

Appends a `String` representation of this enum member to the given io.

See also: `#to_s`.